Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/cfgs/SHARED/namelist_ref
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/cfgs/SHARED/namelist_ref	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/cfgs/SHARED/namelist_ref	(revision 11869)
@@ -1330,4 +1330,5 @@
        sn_cfctl%l_mppout  = .FALSE. !
        sn_cfctl%l_mpptop  = .FALSE. !
+       sn_cfctl%l_oasout  = .FALSE. !
        sn_cfctl%procmin   = 0       ! Minimum area number for reporting [default:0]
        sn_cfctl%procmax   = 1000000 ! Maximum area number for reporting [default:1000000]
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/doc/namelists/namctl
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/doc/namelists/namctl	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/doc/namelists/namctl	(revision 11869)
@@ -10,4 +10,5 @@
        sn_cfctl%l_mppout  = .FALSE. !
        sn_cfctl%l_mpptop  = .FALSE. !
+       sn_cfctl%l_oasout  = .FALSE. !
        sn_cfctl%procmin   = 0       ! Minimum area number for reporting [default:0]
        sn_cfctl%procmax   = 1000000 ! Maximum area number for reporting [default:1000000]
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icecor.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icecor.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icecor.F90	(revision 11869)
@@ -165,5 +165,6 @@
       !
       ! controls
-      IF( ln_ctl       )   CALL ice_prt3D   ('icecor')                                                             ! prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout ) &
+         &                 CALL ice_prt3D   ('icecor')                                                             ! prints
       IF( ln_icectl .AND. kn == 2 ) &
          &                 CALL ice_prt     ( kt, iiceprt, jiceprt, 2, ' - Final state - ' )                       ! prints
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rdgrft.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rdgrft.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rdgrft.F90	(revision 11869)
@@ -268,5 +268,5 @@
 
       ! controls
-      IF( ln_ctl       )   CALL ice_prt3D   ('icedyn_rdgrft')                                                             ! prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout )   CALL ice_prt3D   ('icedyn_rdgrft')                                            ! prints
       IF( ln_icectl    )   CALL ice_prt     (kt, iiceprt, jiceprt,-1, ' - ice dyn rdgrft - ')                             ! prints
       IF( ln_icediachk )   CALL ice_cons_hsm(1, 'icedyn_rdgrft', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rhg.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rhg.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rhg.F90	(revision 11869)
@@ -88,5 +88,6 @@
       !
       ! controls
-      IF( ln_ctl       )   CALL ice_prt3D   ('icedyn_rhg')                                                             ! prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout ) &
+         &                 CALL ice_prt3D   ('icedyn_rhg')                                                             ! prints
       IF( ln_icediachk )   CALL ice_cons_hsm(1, 'icedyn_rhg', rdiag_v, rdiag_s, rdiag_t, rdiag_fv, rdiag_fs, rdiag_ft) ! conservation
       IF( ln_icediachk )   CALL ice_cons2D  (1, 'icedyn_rhg',  diag_v,  diag_s,  diag_t,  diag_fv,  diag_fs,  diag_ft) ! conservation
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rhg_evp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rhg_evp.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icedyn_rhg_evp.F90	(revision 11869)
@@ -345,5 +345,5 @@
          l_full_nf_update = jter == nn_nevp   ! false: disable full North fold update (performances) for iter = 1 to nn_nevp-1
          !
-!!$         IF(ln_ctl) THEN   ! Convergence test
+!!$         IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN   ! Convergence test
 !!$            DO jj = 1, jpjm1
 !!$               zu_ice(:,jj) = u_ice(:,jj) ! velocity at previous time step
@@ -667,5 +667,5 @@
          ENDIF
 
-!!$         IF(ln_ctl) THEN   ! Convergence test
+!!$         IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN   ! Convergence test
 !!$            DO jj = 2 , jpjm1
 !!$               zresr(:,jj) = MAX( ABS( u_ice(:,jj) - zu_ice(:,jj) ), ABS( v_ice(:,jj) - zv_ice(:,jj) ) )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icethd.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icethd.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/icethd.F90	(revision 11869)
@@ -252,5 +252,6 @@
       ! controls
       IF( ln_icectl )   CALL ice_prt    (kt, iiceprt, jiceprt, 1, ' - ice thermodyn. - ') ! prints
-      IF( ln_ctl    )   CALL ice_prt3D  ('icethd')                                        ! prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout )   &
+        &               CALL ice_prt3D  ('icethd')                                        ! prints
       IF( ln_timing )   CALL timing_stop('icethd')                                        ! timing
       !
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/iceupdate.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/iceupdate.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/ICE/iceupdate.F90	(revision 11869)
@@ -286,5 +286,5 @@
 #endif
       IF( ln_icectl                      )   CALL ice_prt       (kt, iiceprt, jiceprt, 3, 'Final state ice_update') ! prints
-      IF( ln_ctl                         )   CALL ice_prt3D     ('iceupdate')                                       ! prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout  )   CALL ice_prt3D     ('iceupdate')                                       ! prints
       IF( ln_timing                      )   CALL timing_stop   ('ice_update')                                      ! timing
       !
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/C1D/dyncor_c1d.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/C1D/dyncor_c1d.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/C1D/dyncor_c1d.F90	(revision 11869)
@@ -95,5 +95,5 @@
       
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' cor  - Ua: ', mask1=umask,  &
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' cor  - Ua: ', mask1=umask,  &
          &                       tab3d_2=va, clinfo2=' Va: '       , mask2=vmask )
       !
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/C1D/dyndmp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/C1D/dyndmp.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/C1D/dyndmp.F90	(revision 11869)
@@ -219,6 +219,6 @@
       !
       !                           ! Control print
-      IF( ln_ctl   )   CALL prt_ctl( tab3d_1=ua(:,:,:), clinfo1=' dmp  - Ua: ', mask1=umask,   &
-         &                           tab3d_2=va(:,:,:), clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF( ln_ctl .OR. sn_cfctl%l_mppout   )   CALL prt_ctl( tab3d_1=ua(:,:,:), clinfo1=' dmp  - Ua: ', mask1=umask,   &
+         &                                                  tab3d_2=va(:,:,:), clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       !
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DOM/daymod.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DOM/daymod.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DOM/daymod.F90	(revision 11869)
@@ -277,5 +277,5 @@
       IF( nsec_week > 7*nsecd )   nsec_week = ndt05     ! New week
 
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
          CALL prt_ctl_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_cen2.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_cen2.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_cen2.F90	(revision 11869)
@@ -139,6 +139,6 @@
       ENDIF
       !                                   ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' cen2 adv - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' cen2 adv - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
    END SUBROUTINE dyn_adv_cen2
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_ubs.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_ubs.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynadv_ubs.F90	(revision 11869)
@@ -232,6 +232,6 @@
       ENDIF
       !                                         ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ubs2 adv - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ubs2 adv - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=           ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
    END SUBROUTINE dyn_adv_ubs
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynhpg.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynhpg.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynhpg.F90	(revision 11869)
@@ -119,6 +119,6 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' hpg  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' hpg  - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_hpg')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynkeg.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynkeg.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynkeg.F90	(revision 11869)
@@ -147,6 +147,6 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' keg  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' keg  - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_keg')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf.F90	(revision 11869)
@@ -77,6 +77,6 @@
       ENDIF
       !                                          ! print sum trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldf  - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_ldf')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf_iso.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf_iso.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynldf_iso.F90	(revision 11869)
@@ -286,6 +286,6 @@
 
       ! print sum trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldfh - Ua: ', mask1=umask, &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' ldfh - Ua: ', mask1=umask, &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
 
 
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynnxt.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynnxt.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynnxt.F90	(revision 11869)
@@ -368,6 +368,6 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=un, clinfo1=' nxt  - Un: ', mask1=umask,   &
-         &                       tab3d_2=vn, clinfo2=' Vn: '       , mask2=vmask )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=un, clinfo1=' nxt  - Un: ', mask1=umask,   &
+         &                                              tab3d_2=vn, clinfo2=' Vn: '       , mask2=vmask )
       ! 
       IF( ln_dynspg_ts )   DEALLOCATE( zue, zve )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynspg.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynspg.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynspg.F90	(revision 11869)
@@ -172,6 +172,6 @@
       ENDIF
       !                                      ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg  - Ua: ', mask1=umask, &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' spg  - Ua: ', mask1=umask, &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_spg')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynvor.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynvor.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynvor.F90	(revision 11869)
@@ -179,6 +179,6 @@
       !
       !                       ! print sum trends (used for debugging)
-      IF(ln_ctl) CALL prt_ctl( tab3d_1=ua, clinfo1=' vor  - Ua: ', mask1=umask,               &
-         &                     tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) CALL prt_ctl( tab3d_1=ua, clinfo1=' vor  - Ua: ', mask1=umask,               &
+         &                                            tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_vor')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzad.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzad.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzad.F90	(revision 11869)
@@ -114,6 +114,6 @@
       ENDIF
       !                             ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zad  - Ua: ', mask1=umask,   &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zad  - Ua: ', mask1=umask,   &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
       IF( ln_timing )   CALL timing_stop('dyn_zad')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzdf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzdf.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/dynzdf.F90	(revision 11869)
@@ -492,6 +492,6 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf  - Ua: ', mask1=umask,               &
-         &                       tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=ua, clinfo1=' zdf  - Ua: ', mask1=umask,               &
+         &                                              tab3d_2=va, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
          !
       IF( ln_timing )   CALL timing_stop('dyn_zdf')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/sshwzv.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/sshwzv.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/DYN/sshwzv.F90	(revision 11869)
@@ -121,5 +121,5 @@
       !                                           !------------------------------!
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=ssha, clinfo1=' ssha  - : ', mask1=tmask )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=ssha, clinfo1=' ssha  - : ', mask1=tmask )
       !
       IF( ln_timing )   CALL timing_stop('ssh_nxt')
@@ -262,5 +262,5 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=sshb, clinfo1=' sshb  - : ', mask1=tmask )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=sshb, clinfo1=' sshb  - : ', mask1=tmask )
       !
       IF( ln_timing )   CALL timing_stop('ssh_swp')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/IOM/in_out_manager.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/IOM/in_out_manager.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/IOM/in_out_manager.F90	(revision 11869)
@@ -108,4 +108,5 @@
       LOGICAL :: l_mppout  = .FALSE.  !: Produce/do not produce mpp.output_XXXX files (T/F)
       LOGICAL :: l_mpptop  = .FALSE.  !: Produce/do not produce mpp.top.output_XXXX files (T/F)
+      LOGICAL :: l_oasout  = .FALSE.  !: Produce/do not write oasis setup info to ocean.output (T/F)
                                       !  Optional subsetting of processor report files
                                       !  Default settings of 0/1000000/1 should ensure all areas report.
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/LDF/ldfslp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/LDF/ldfslp.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/LDF/ldfslp.F90	(revision 11869)
@@ -365,5 +365,5 @@
       CALL lbc_lnk_multi( 'ldfslp', uslp , 'U', -1. , vslp , 'V', -1. , wslpi, 'W', -1., wslpj, 'W', -1. )
 
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl(tab3d_1=uslp , clinfo1=' slp  - u : ', tab3d_2=vslp,  clinfo2=' v : ', kdim=jpk)
          CALL prt_ctl(tab3d_1=wslpi, clinfo1=' slp  - wi: ', tab3d_2=wslpj, clinfo2=' wj: ', kdim=jpk)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/cpl_oasis3.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/cpl_oasis3.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/cpl_oasis3.F90	(revision 11869)
@@ -203,5 +203,5 @@
       paral(5) = jpiglo                                         ! global extent in x
       
-      IF( ln_ctl ) THEN
+      IF( sn_cfctl%l_oasout ) THEN
          WRITE(numout,*) ' multiexchg: paral (1:5)', paral
          WRITE(numout,*) ' multiexchg: jpi, jpj =', jpi, jpj
@@ -243,5 +243,5 @@
                   END IF
 #endif
-                  IF( ln_ctl ) WRITE(numout,*) "Define", ji, jc, jm, " "//TRIM(zclname), " for ", OASIS_Out
+                  IF( sn_cfctl%l_oasout ) WRITE(numout,*) "Define", ji, jc, jm, " "//TRIM(zclname), " for ", OASIS_Out
                   CALL oasis_def_var (ssnd(ji)%nid(jc,jm), zclname, id_part   , (/ 2, 1 /),   &
                      &                OASIS_Out          , ishape , OASIS_REAL, nerror )
@@ -250,6 +250,6 @@
                      CALL oasis_abort ( ssnd(ji)%nid(jc,jm), 'cpl_define', 'Failure in oasis_def_var' )
                   ENDIF
-                  IF( ln_ctl .AND. ssnd(ji)%nid(jc,jm) /= -1 ) WRITE(numout,*) "variable defined in the namcouple"
-                  IF( ln_ctl .AND. ssnd(ji)%nid(jc,jm) == -1 ) WRITE(numout,*) "variable NOT defined in the namcouple"
+                  IF( sn_cfctl%l_oasout .AND. ssnd(ji)%nid(jc,jm) /= -1 ) WRITE(numout,*) "variable defined in the namcouple"
+                  IF( sn_cfctl%l_oasout .AND. ssnd(ji)%nid(jc,jm) == -1 ) WRITE(numout,*) "variable NOT defined in the namcouple"
                END DO
             END DO
@@ -288,5 +288,5 @@
                   END IF
 #endif
-                  IF( ln_ctl ) WRITE(numout,*) "Define", ji, jc, jm, " "//TRIM(zclname), " for ", OASIS_In
+                  IF( sn_cfctl%l_oasout ) WRITE(numout,*) "Define", ji, jc, jm, " "//TRIM(zclname), " for ", OASIS_In
                   CALL oasis_def_var (srcv(ji)%nid(jc,jm), zclname, id_part   , (/ 2, 1 /),   &
                      &                OASIS_In           , ishape , OASIS_REAL, nerror )
@@ -295,6 +295,6 @@
                      CALL oasis_abort ( srcv(ji)%nid(jc,jm), 'cpl_define', 'Failure in oasis_def_var' )
                   ENDIF
-                  IF( ln_ctl .AND. srcv(ji)%nid(jc,jm) /= -1 ) WRITE(numout,*) "variable defined in the namcouple"
-                  IF( ln_ctl .AND. srcv(ji)%nid(jc,jm) == -1 ) WRITE(numout,*) "variable NOT defined in the namcouple"
+                  IF( sn_cfctl%l_oasout .AND. srcv(ji)%nid(jc,jm) /= -1 ) WRITE(numout,*) "variable defined in the namcouple"
+                  IF( sn_cfctl%l_oasout .AND. srcv(ji)%nid(jc,jm) == -1 ) WRITE(numout,*) "variable NOT defined in the namcouple"
 
                END DO
@@ -349,5 +349,5 @@
                CALL oasis_put ( ssnd(kid)%nid(jc,jm), kstep, pdata(nldi:nlei, nldj:nlej,jc), kinfo )
                
-               IF ( ln_ctl ) THEN        
+               IF ( sn_cfctl%l_oasout ) THEN        
                   IF ( kinfo == OASIS_Sent     .OR. kinfo == OASIS_ToRest .OR.   &
                      & kinfo == OASIS_SentOut  .OR. kinfo == OASIS_ToRestOut ) THEN
@@ -420,5 +420,5 @@
                   &        kinfo == OASIS_RecvOut .OR. kinfo == OASIS_FromRestOut
                
-               IF ( ln_ctl )   WRITE(numout,*) "llaction, kinfo, kstep, ivarid: " , llaction, kinfo, kstep, srcv(kid)%nid(jc,jm)
+               IF ( sn_cfctl%l_oasout )   WRITE(numout,*) "llaction, kinfo, kstep, ivarid: " , llaction, kinfo, kstep, srcv(kid)%nid(jc,jm)
                
                IF ( llaction ) THEN
@@ -432,5 +432,5 @@
                   ENDIF
                   
-                  IF ( ln_ctl ) THEN        
+                  IF ( sn_cfctl%l_oasout ) THEN        
                      WRITE(numout,*) '****************'
                      WRITE(numout,*) 'oasis_get: Incoming ', srcv(kid)%clname
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/sbcblk.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/sbcblk.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/sbcblk.F90	(revision 11869)
@@ -507,5 +507,5 @@
 
 
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl( tab2d_1=zqla  , clinfo1=' blk_oce: zqla   : ', tab2d_2=Ce_atm , clinfo2=' Ce_oce  : ' )
          CALL prt_ctl( tab2d_1=zqsb  , clinfo1=' blk_oce: zqsb   : ', tab2d_2=Ch_atm , clinfo2=' Ch_oce  : ' )
@@ -553,5 +553,5 @@
       ENDIF
       !
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl(tab2d_1=zqsb , clinfo1=' blk_oce: zqsb   : ', tab2d_2=zqlw , clinfo2=' zqlw  : ')
          CALL prt_ctl(tab2d_1=zqla , clinfo1=' blk_oce: zqla   : ', tab2d_2=qsr  , clinfo2=' qsr   : ')
@@ -764,5 +764,5 @@
       !
       !
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl(tab2d_1=utau_ice  , clinfo1=' blk_ice: utau_ice : ', tab2d_2=vtau_ice  , clinfo2=' vtau_ice : ')
          CALL prt_ctl(tab2d_1=wndm_ice  , clinfo1=' blk_ice: wndm_ice : ')
@@ -914,5 +914,5 @@
       END WHERE
       !
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl(tab3d_1=qla_ice , clinfo1=' blk_ice: qla_ice  : ', tab3d_2=z_qsb   , clinfo2=' z_qsb    : ', kdim=jpl)
          CALL prt_ctl(tab3d_1=z_qlw   , clinfo1=' blk_ice: z_qlw    : ', tab3d_2=dqla_ice, clinfo2=' dqla_ice : ', kdim=jpl)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/sbcmod.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/sbcmod.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/SBC/sbcmod.F90	(revision 11869)
@@ -557,5 +557,5 @@
       CALL iom_put( "vtau", vtau )   ! j-wind stress
       !
-      IF(ln_ctl) THEN         ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN         ! print mean trends (used for debugging)
          CALL prt_ctl(tab2d_1=fr_i              , clinfo1=' fr_i    - : ', mask1=tmask )
          CALL prt_ctl(tab2d_1=(emp-rnf + fwfisf), clinfo1=' emp-rnf - : ', mask1=tmask )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/eosbn2.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/eosbn2.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/eosbn2.F90	(revision 11869)
@@ -297,5 +297,5 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-insitu  : ', kdim=jpk )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-insitu  : ', kdim=jpk )
       !
       IF( ln_timing )   CALL timing_stop('eos-insitu')
@@ -464,5 +464,5 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-pot: ', tab3d_2=prhop, clinfo2=' pot : ', kdim=jpk )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=prd, clinfo1=' eos-pot: ', tab3d_2=prhop, clinfo2=' pot : ', kdim=jpk )
       !
       IF( ln_timing )   CALL timing_stop('eos-pot')
@@ -559,5 +559,5 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=prd, clinfo1=' eos2d: ' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=prd, clinfo1=' eos2d: ' )
       !
       IF( ln_timing )   CALL timing_stop('eos2d')
@@ -671,6 +671,6 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=pab(:,:,:,jp_tem), clinfo1=' rab_3d_t: ', &
-         &                       tab3d_2=pab(:,:,:,jp_sal), clinfo2=' rab_3d_s : ', kdim=jpk )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=pab(:,:,:,jp_tem), clinfo1=' rab_3d_t: ', &
+         &                                              tab3d_2=pab(:,:,:,jp_sal), clinfo2=' rab_3d_s : ', kdim=jpk )
       !
       IF( ln_timing )   CALL timing_stop('rab_3d')
@@ -785,6 +785,6 @@
       END SELECT
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=pab(:,:,jp_tem), clinfo1=' rab_2d_t: ', &
-         &                       tab2d_2=pab(:,:,jp_sal), clinfo2=' rab_2d_s : ' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=pab(:,:,jp_tem), clinfo1=' rab_2d_t: ', &
+         &                                              tab2d_2=pab(:,:,jp_sal), clinfo2=' rab_2d_s : ' )
       !
       IF( ln_timing )   CALL timing_stop('rab_2d')
@@ -929,5 +929,5 @@
       END DO
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=pn2, clinfo1=' bn2  : ', kdim=jpk )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=pn2, clinfo1=' bn2  : ', kdim=jpk )
       !
       IF( ln_timing )   CALL timing_stop('bn2')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traadv.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traadv.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traadv.F90	(revision 11869)
@@ -168,6 +168,6 @@
       ENDIF
       !                                              ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' adv  - Ta: ', mask1=tmask,               &
-         &                       tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' adv  - Ta: ', mask1=tmask,               &
+         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop( 'tra_adv' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbc.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbc.F90	(revision 11869)
@@ -100,5 +100,5 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
       !
       IF( ln_timing )   CALL timing_stop('tra_bbc')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbl.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trabbl.F90	(revision 11869)
@@ -119,5 +119,5 @@
          !
          CALL tra_bbl_dif( tsb, tsa, jpts )
-         IF( ln_ctl )  &
+         IF( ln_ctl .OR. sn_cfctl%l_mppout )  &
          CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' bbl_ldf  - Ta: ', mask1=tmask, &
             &          tab3d_2=tsa(:,:,:,jp_sal), clinfo2=           ' Sa: ', mask2=tmask, clinfo3='tra' )
@@ -132,5 +132,5 @@
          !
          CALL tra_bbl_adv( tsb, tsa, jpts )
-         IF(ln_ctl)   &
+         IF(ln_ctl .OR. sn_cfctl%l_mppout)   &
          CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' bbl_adv  - Ta: ', mask1=tmask,   &
             &          tab3d_2=tsa(:,:,:,jp_sal), clinfo2=           ' Sa: ', mask2=tmask, clinfo3='tra' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tradmp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tradmp.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tradmp.F90	(revision 11869)
@@ -156,6 +156,6 @@
       ENDIF
       !                           ! Control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' dmp  - Ta: ', mask1=tmask,   &
-         &                       tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' dmp  - Ta: ', mask1=tmask,   &
+         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop('tra_dmp')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traldf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traldf.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traldf.F90	(revision 11869)
@@ -85,6 +85,6 @@
       ENDIF
       !                                        !* print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' ldf  - Ta: ', mask1=tmask,               &
-         &                       tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' ldf  - Ta: ', mask1=tmask,               &
+         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop('tra_ldf')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tranxt.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tranxt.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/tranxt.F90	(revision 11869)
@@ -181,6 +181,6 @@
       !
       !                        ! control print
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsn(:,:,:,jp_tem), clinfo1=' nxt  - Tn: ', mask1=tmask,   &
-         &                       tab3d_2=tsn(:,:,:,jp_sal), clinfo2=       ' Sn: ', mask2=tmask )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsn(:,:,:,jp_tem), clinfo1=' nxt  - Tn: ', mask1=tmask,   &
+         &                                              tab3d_2=tsn(:,:,:,jp_sal), clinfo2=       ' Sn: ', mask2=tmask )
       !
       IF( ln_timing )   CALL timing_stop('tra_nxt')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traqsr.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traqsr.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/traqsr.F90	(revision 11869)
@@ -300,5 +300,5 @@
       ENDIF
       !                       ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' qsr  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' qsr  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
       !
       IF( ln_timing )   CALL timing_stop('tra_qsr')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trasbc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trasbc.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trasbc.F90	(revision 11869)
@@ -266,6 +266,6 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' sbc  - Ta: ', mask1=tmask,   &
-         &                       tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' sbc  - Ta: ', mask1=tmask,   &
+         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop('tra_sbc')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trazdf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trazdf.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRA/trazdf.F90	(revision 11869)
@@ -99,6 +99,6 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' zdf  - Ta: ', mask1=tmask,               &
-         &                       tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' zdf  - Ta: ', mask1=tmask,               &
+         &                                              tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
       !
       IF( ln_timing )   CALL timing_stop('tra_zdf')
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRD/trdmxl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRD/trdmxl.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/TRD/trdmxl.F90	(revision 11869)
@@ -371,5 +371,5 @@
          hmxlbn(:,:) = hmxl(:,:)
 
-         IF( ln_ctl ) THEN
+         IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN
             WRITE(numout,*) '             we reach kt == nit000 + 1 = ', nit000+1
             CALL prt_ctl(tab2d_1=tmlbb   , clinfo1=' tmlbb   -   : ', mask1=tmask)
@@ -380,5 +380,5 @@
       END IF
 
-      IF( ( ln_rstart ) .AND. ( kt == nit000 ) .AND. ( ln_ctl ) ) THEN
+      IF( ( ln_rstart ) .AND. ( kt == nit000 ) .AND. ( ln_ctl .OR.  sn_cfctl%l_mppout ) ) THEN
          IF( ln_trdmxl_instant ) THEN
             WRITE(numout,*) '             restart from kt == nit000 = ', nit000
@@ -548,5 +548,5 @@
          hmxlbn         (:,:)   = hmxl    (:,:)
          
-         IF( ln_ctl ) THEN
+         IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN
             IF( ln_trdmxl_instant ) THEN
                CALL prt_ctl(tab2d_1=tmlbb   , clinfo1=' tmlbb   -   : ', mask1=tmask)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfddm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfddm.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfddm.F90	(revision 11869)
@@ -163,5 +163,5 @@
       !                                                   ! ===============
       !
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl(tab3d_1=avt , clinfo1=' ddm  - t: ', tab3d_2=avs , clinfo2=' s: ', kdim=jpk)
       ENDIF
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfdrg.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfdrg.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfdrg.F90	(revision 11869)
@@ -139,5 +139,5 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=pCdU, clinfo1=' Cd*U ')
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=pCdU, clinfo1=' Cd*U ')
       !
    END SUBROUTINE zdf_drg
@@ -213,6 +213,6 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF(ln_ctl)   CALL prt_ctl( tab3d_1=pua, clinfo1=' bfr  - Ua: ', mask1=umask,               &
-         &                       tab3d_2=pva, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab3d_1=pua, clinfo1=' bfr  - Ua: ', mask1=umask,               &
+         &                                              tab3d_2=pva, clinfo2=       ' Va: ', mask2=vmask, clinfo3='dyn' )
       !
    END SUBROUTINE zdf_drg_exp
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfgls.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfgls.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfgls.F90	(revision 11869)
@@ -824,5 +824,5 @@
       p_avt(:,:,1) = 0._wp
       !
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl( tab3d_1=en   , clinfo1=' gls  - e: ', tab3d_2=p_avt, clinfo2=' t: ', kdim=jpk)
          CALL prt_ctl( tab3d_1=p_avm, clinfo1=' gls  - m: ', kdim=jpk )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfiwm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfiwm.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfiwm.F90	(revision 11869)
@@ -383,5 +383,5 @@
       CALL iom_put( "emix_iwm", zemx_iwm )
       
-      IF(ln_ctl)   CALL prt_ctl(tab3d_1=zav_wave , clinfo1=' iwm - av_wave: ', tab3d_2=avt, clinfo2=' avt: ', kdim=jpk)
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl(tab3d_1=zav_wave , clinfo1=' iwm - av_wave: ', tab3d_2=avt, clinfo2=' avt: ', kdim=jpk)
       !
    END SUBROUTINE zdf_iwm
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfmxl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfmxl.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfmxl.F90	(revision 11869)
@@ -137,5 +137,5 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl( tab2d_1=REAL(nmln,wp), clinfo1=' nmln : ', tab2d_2=hmlp, clinfo2=' hmlp : ' )
+      IF(ln_ctl .OR. sn_cfctl%l_mppout)   CALL prt_ctl( tab2d_1=REAL(nmln,wp), clinfo1=' nmln : ', tab2d_2=hmlp, clinfo2=' hmlp : ' )
       !
    END SUBROUTINE zdf_mxl
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfosm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfosm.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdfosm.F90	(revision 11869)
@@ -1659,5 +1659,5 @@
       ENDIF
 
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl( tab3d_1=tsa(:,:,:,jp_tem), clinfo1=' osm  - Ta: ', mask1=tmask,   &
          &             tab3d_2=tsa(:,:,:,jp_sal), clinfo2=       ' Sa: ', mask2=tmask, clinfo3='tra' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdftke.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdftke.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/ZDF/zdftke.F90	(revision 11869)
@@ -623,5 +623,5 @@
       ENDIF
       !
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          CALL prt_ctl( tab3d_1=en   , clinfo1=' tke  - e: ', tab3d_2=p_avt, clinfo2=' t: ', kdim=jpk)
          CALL prt_ctl( tab3d_1=p_avm, clinfo1=' tke  - m: ', kdim=jpk )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/nemogcm.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OCE/nemogcm.F90	(revision 11869)
@@ -559,5 +559,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl ) THEN                 ! sub-domain area indices for the control prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout .OR. sn_cfctl%l_mpptop ) THEN  ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
@@ -691,4 +691,5 @@
       sn_cfctl%l_mppout  = setto
       sn_cfctl%l_mpptop  = setto
+      sn_cfctl%l_oasout  = setto
    END SUBROUTINE nemo_set_cfctl
 
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/dtadyn.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/dtadyn.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/dtadyn.F90	(revision 11869)
@@ -176,5 +176,5 @@
       CALL eos( tsn, rhd, rhop, gdept_0(:,:,:) ) ! In any case, we need rhop
       !
-      IF(ln_ctl) THEN                  ! print control
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN     ! print control
          CALL prt_ctl(tab3d_1=tsn(:,:,:,jp_tem), clinfo1=' tn      - : ', mask1=tmask,  kdim=jpk   )
          CALL prt_ctl(tab3d_1=tsn(:,:,:,jp_sal), clinfo1=' sn      - : ', mask1=tmask,  kdim=jpk   )
@@ -444,5 +444,5 @@
       CALL eos    ( tsn, rhd, rhop, gdept_0(:,:,:) ) ! In any case, we need rhop
 
-      IF(ln_ctl) THEN                  ! print control
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN                  ! print control
          CALL prt_ctl(tab3d_1=tsn(:,:,:,jp_tem), clinfo1=' tn      - : ', mask1=tmask,  kdim=jpk   )
          CALL prt_ctl(tab3d_1=tsn(:,:,:,jp_sal), clinfo1=' sn      - : ', mask1=tmask,  kdim=jpk   )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/nemogcm.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/OFF/nemogcm.F90	(revision 11869)
@@ -392,5 +392,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl ) THEN                 ! sub-domain area indices for the control prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN                         ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
@@ -509,4 +509,5 @@
       sn_cfctl%l_mppout  = setto
       sn_cfctl%l_mpptop  = setto
+      sn_cfctl%l_oasout  = setto
    END SUBROUTINE nemo_set_cfctl
 
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAO/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAO/nemogcm.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAO/nemogcm.F90	(revision 11869)
@@ -242,7 +242,7 @@
 
       IF( ln_ctl .OR. sn_cfctl%l_mppout )   &
-         &                 CALL prt_ctl_init        ! Print control
-
-                           CALL istate_init     ! ocean initial state (Dynamics and tracers)
+         &                 CALL prt_ctl_init       ! Print control
+
+                           CALL istate_init        ! ocean initial state (Dynamics and tracers)
    END SUBROUTINE nemo_init
 
@@ -307,5 +307,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl ) THEN                 ! sub-domain area indices for the control prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN                         ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
@@ -429,4 +429,5 @@
       sn_cfctl%l_mppout  = setto
       sn_cfctl%l_mpptop  = setto
+      sn_cfctl%l_oasout  = setto
    END SUBROUTINE nemo_set_cfctl
 
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/daymod.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/daymod.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/daymod.F90	(revision 11869)
@@ -275,5 +275,5 @@
       IF( nsec_week > 7*nsecd )   nsec_week = ndt05     ! New week
 
-      IF(ln_ctl) THEN
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN
          WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
          CALL prt_ctl_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/nemogcm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/nemogcm.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/nemogcm.F90	(revision 11869)
@@ -429,5 +429,5 @@
       !                             ! Parameter control
       !
-      IF( ln_ctl ) THEN                 ! sub-domain area indices for the control prints
+      IF( ln_ctl .OR. sn_cfctl%l_mppout ) THEN                 ! sub-domain area indices for the control prints
          IF( lk_mpp .AND. jpnij > 1 ) THEN
             isplt = jpni   ;   jsplt = jpnj   ;   ijsplt = jpni*jpnj   ! the domain is forced to the real split domain
@@ -555,4 +555,5 @@
       sn_cfctl%l_mppout  = setto
       sn_cfctl%l_mpptop  = setto
+      sn_cfctl%l_oasout  = setto
    END SUBROUTINE nemo_set_cfctl
 
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/sbcssm.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/sbcssm.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/SAS/sbcssm.F90	(revision 11869)
@@ -131,5 +131,5 @@
       vb (:,:,1) = ssv_m(:,:)
  
-      IF(ln_ctl) THEN                  ! print control
+      IF(ln_ctl .OR. sn_cfctl%l_mppout) THEN            ! print control
          CALL prt_ctl(tab2d_1=sst_m, clinfo1=' sst_m   - : ', mask1=tmask   )
          CALL prt_ctl(tab2d_1=sss_m, clinfo1=' sss_m   - : ', mask1=tmask   )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zbio.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zbio.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zbio.F90	(revision 11869)
@@ -367,5 +367,5 @@
       ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('bio')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zexp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 11869)
@@ -146,5 +146,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('exp')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zopt.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zopt.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zopt.F90	(revision 11869)
@@ -133,5 +133,5 @@
 
 
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('opt')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zsed.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zsed.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P2Z/p2zsed.F90	(revision 11869)
@@ -107,5 +107,5 @@
       !
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sed')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zagg.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zagg.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zagg.F90	(revision 11869)
@@ -173,5 +173,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('agg')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zbio.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 11869)
@@ -106,5 +106,5 @@
       & CALL p4z_ligand( kt, knt )
       !                                                             !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('bio ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zfechem.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zfechem.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zfechem.F90	(revision 11869)
@@ -220,5 +220,5 @@
       ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('fechem')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zflx.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zflx.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zflx.F90	(revision 11869)
@@ -179,5 +179,5 @@
       t_atm_co2_flx     =  atcco2      ! Total atmospheric pCO2
  
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('flx ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zligand.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zligand.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zligand.F90	(revision 11869)
@@ -94,5 +94,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('ligand1')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zlys.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zlys.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zlys.F90	(revision 11869)
@@ -129,5 +129,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('lys ')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmeso.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmeso.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmeso.F90	(revision 11869)
@@ -255,5 +255,5 @@
       IF (ln_ligand)  DEALLOCATE( zz2ligprod )
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('meso')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmicro.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmicro.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmicro.F90	(revision 11869)
@@ -207,5 +207,5 @@
       IF (ln_ligand)  DEALLOCATE( zzligprod )
       !
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('micro')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmort.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmort.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zmort.F90	(revision 11869)
@@ -118,5 +118,5 @@
       END DO
       !
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nano')")
          CALL prt_ctl_trc_info(charout)
@@ -193,5 +193,5 @@
       END DO
       !
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('diat')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zpoc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zpoc.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zpoc.F90	(revision 11869)
@@ -248,5 +248,5 @@
       ENDIF
 
-     IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+     IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('poc1')")
         CALL prt_ctl_trc_info(charout)
@@ -460,5 +460,5 @@
      ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('poc2')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zprod.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zprod.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zprod.F90	(revision 11869)
@@ -456,5 +456,5 @@
      ENDIF
 
-     IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+     IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('prod')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zrem.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zrem.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zrem.F90	(revision 11869)
@@ -207,5 +207,5 @@
       END DO
 
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem1')")
          CALL prt_ctl_trc_info(charout)
@@ -233,5 +233,5 @@
       END DO
 
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem2')")
          CALL prt_ctl_trc_info(charout)
@@ -268,5 +268,5 @@
       END DO
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rem3')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsed.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsed.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsed.F90	(revision 11869)
@@ -482,5 +482,5 @@
       ENDIF
       !
-      IF(ln_ctl) THEN  ! print mean trends (USEd for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN  ! print mean trends (USEd for debugging)
          WRITE(charout, fmt="('sed ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsink.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsink.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p4zsink.F90	(revision 11869)
@@ -172,5 +172,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sink')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmeso.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmeso.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmeso.F90	(revision 11869)
@@ -376,5 +376,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
         WRITE(charout, FMT="('meso')")
         CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmicro.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmicro.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmicro.F90	(revision 11869)
@@ -318,5 +318,5 @@
       ENDIF
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('micro')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmort.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zmort.F90	(revision 11869)
@@ -119,5 +119,5 @@
       END DO
       !
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nano')")
          CALL prt_ctl_trc_info(charout)
@@ -180,5 +180,5 @@
       END DO
       !
-       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+       IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('pico')")
          CALL prt_ctl_trc_info(charout)
@@ -258,5 +258,5 @@
       END DO
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('diat')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zprod.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/P4Z/p5zprod.F90	(revision 11869)
@@ -554,5 +554,5 @@
      ENDIF
 
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('prod')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/SED/trcdmp_sed.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/SED/trcdmp_sed.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/PISCES/SED/trcdmp_sed.F90	(revision 11869)
@@ -106,5 +106,5 @@
       !
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl ) THEN
+      IF( ln_ctl .OR. sn_cfctl%l_mpptop ) THEN
          WRITE(charout, FMT="('dmp ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcadv.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcadv.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcadv.F90	(revision 11869)
@@ -135,5 +135,5 @@
       END SELECT
       !                  
-      IF( ln_ctl ) THEN                         !== print mean trends (used for debugging)
+      IF( ln_ctl .OR. sn_cfctl%l_mpptop ) THEN        !== print mean trends (used for debugging)
          WRITE(charout, FMT="('adv ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcbbl.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcbbl.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcbbl.F90	(revision 11869)
@@ -67,5 +67,5 @@
          !
          CALL tra_bbl_dif( trb, tra, jptra )  
-         IF( ln_ctl )   THEN
+         IF( ln_ctl .OR. sn_cfctl%l_mpptop )   THEN
             WRITE(charout, FMT="(' bbl_dif')")  ;  CALL prt_ctl_trc_info(charout)
             CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
@@ -78,5 +78,5 @@
          !
          CALL tra_bbl_adv( trb, tra, jptra )  
-         IF( ln_ctl )   THEN
+         IF( ln_ctl .OR. sn_cfctl%l_mpptop )   THEN
             WRITE(charout, FMT="(' bbl_adv')")  ;  CALL prt_ctl_trc_info(charout)
             CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcdmp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcdmp.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcdmp.F90	(revision 11869)
@@ -156,5 +156,5 @@
       IF( l_trdtrc )  DEALLOCATE( ztrtrd )
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl ) THEN
+      IF( ln_ctl .OR. sn_cfctl%l_mpptop ) THEN
          WRITE(charout, FMT="('dmp ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcldf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcldf.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcldf.F90	(revision 11869)
@@ -110,5 +110,5 @@
       ENDIF
       !                
-      IF( ln_ctl ) THEN                        ! print mean trends (used for debugging)
+      IF( ln_ctl .OR. sn_cfctl%l_mpptop ) THEN ! print mean trends (used for debugging)
          WRITE(charout, FMT="('ldf ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcnxt.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcnxt.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcnxt.F90	(revision 11869)
@@ -178,5 +178,5 @@
       IF( l_trdtrc ) DEALLOCATE( ztrdt ) 
       !
-      IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop)   THEN  ! print mean trends (used for debugging)
          WRITE(charout, FMT="('nxt')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcrad.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcrad.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcrad.F90	(revision 11869)
@@ -65,5 +65,5 @@
       IF( ln_my_trc  )   CALL trc_rad_sms( kt, trb, trn, jp_myt0, jp_myt1               )  !  MY_TRC model
       !
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN      ! print mean trends (used for debugging)
          WRITE(charout, FMT="('rad')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcsbc.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcsbc.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trcsbc.F90	(revision 11869)
@@ -191,5 +191,5 @@
       ENDIF
       !
-      IF( ln_ctl )   THEN
+      IF( ln_ctl .OR. sn_cfctl%l_mpptop )   THEN
          WRITE(charout, FMT="('sbc ')") ;  CALL prt_ctl_trc_info(charout)
                                            CALL prt_ctl_trc( tab4d=tra, mask=tmask, clinfo=ctrcnm, clinfo2='trd' )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trczdf.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trczdf.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/TRP/trczdf.F90	(revision 11869)
@@ -65,5 +65,5 @@
       ENDIF
       !                                          ! print mean trends (used for debugging)
-      IF( ln_ctl )   THEN
+      IF( ln_ctl .OR. sn_cfctl%l_mpptop )   THEN
          WRITE(charout, FMT="('zdf ')")
          CALL prt_ctl_trc_info(charout)
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcini.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcini.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcini.F90	(revision 11869)
@@ -140,5 +140,5 @@
       ENDIF
       IF(lwp) WRITE(numout,*)
-      IF(ln_ctl) THEN            ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN            ! print mean trends (used for debugging)
          CALL prt_ctl_trc_init
          WRITE(charout, FMT="('ini ')")
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcsms.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcsms.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcsms.F90	(revision 11869)
@@ -55,5 +55,5 @@
       IF( ln_my_trc  )   CALL trc_sms_my_trc ( kt )    ! MY_TRC  tracers
 
-      IF(ln_ctl) THEN      ! print mean trends (used for debugging)
+      IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN           ! print mean trends (used for debugging)
          WRITE(charout, FMT="('sms ')")
          CALL prt_ctl_trc_info( charout )
Index: /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcstp.F90
===================================================================
--- /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcstp.F90	(revision 11868)
+++ /NEMO/branches/2019/fix_sn_cfctl_ticket2328/src/TOP/trcstp.F90	(revision 11869)
@@ -77,5 +77,5 @@
             cvol(:,:,jk) = e1e2t(:,:) * e3t_n(:,:,jk) * tmask(:,:,jk)
          END DO
-         IF ( ln_ctl .OR. kt == nitrst .OR. ( ln_check_mass .AND. kt == nitend )              &
+         IF ( ll_trcstat .OR. kt == nitrst .OR. ( ln_check_mass .AND. kt == nitend )   &
             & .OR. iom_use( "pno3tot" ) .OR. iom_use( "ppo4tot" ) .OR. iom_use( "psiltot" )   &
             & .OR. iom_use( "palktot" ) .OR. iom_use( "pfertot" ) )                           &
@@ -89,5 +89,5 @@
       IF( MOD( kt , nn_dttrc ) == 0 ) THEN      ! only every nn_dttrc time step
          !
-         IF(ln_ctl) THEN
+         IF(ln_ctl .OR. sn_cfctl%l_mpptop) THEN
             WRITE(charout,FMT="('kt =', I4,'  d/m/y =',I2,I2,I4)") kt, nday, nmonth, nyear
             CALL prt_ctl_trc_info(charout)
